%define name monitor-edid
%define version 1.5.1
%define release 1mdk

Summary: Get monitor details
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Other
Url: http://www.mandrivalinux.com/cgi-bin/cvsweb.cgi/soft/monitor-edid
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package will try to read the monitor details directly from the
monitor.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_sbindir
install monitor-edid monitor-get-edid monitor-probe monitor-probe-using-X $RPM_BUILD_ROOT%_sbindir
install monitor-parse-edid $RPM_BUILD_ROOT%_bindir
install cvt $RPM_BUILD_ROOT%_bindir/vesa-cvt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/*
%_sbindir/*

%changelog
* Thu Nov 23 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.1-1mdk
- backport from MDV 2007.0:
  * fix fallback to old get_edid() function
  * ignore VBIOS checksum failures, use CPU emulator in that case

* Mon Aug  8 2005 Pixel <pixel@mandriva.com> 1.5-1mdk
- add option --try-in-console when probing edid
  since probing edid sometimes only work in console
- use this option by default in monitor-probe

* Wed Apr  6 2005 Pixel <pixel@mandrakesoft.com> 1.4-1mdk
- default on old lrmi code to get ddc via int10
- fix build on vesa-cvt

* Fri Mar 25 2005 Pixel <pixel@mandrakesoft.com> 1.3-1mdk
- added vesa-cvt (allowing to compute reduced-blanking timings)

* Thu Mar 17 2005 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- new release (added monitor-probe and monitor-probe-using-X)

* Tue Mar  8 2005 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new release

* Wed Feb 23 2005 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- first package
